# Role: certbot

## Description

Installs certbot and requests certificates.

https://certbot.eff.org/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.certbot
  vars:
    ...
```

### Vars

`certbot_agree_tos`:

Set to "true" to agree LetsEncrypt TOS.

`certbot_certs`:

List of certs to install.
The list items are passed to `certbot` command, with arguments taken from the following object fields:
- 'plugin'
- 'plugin_args'
- 'domains'
- 'email'

`certbot_plugin_packages`:

List of plugin packages to install along with the main certbot package.
The list items have to be package names provided by the distribution package manager.
